<?php

namespace App\Http\Controllers;

use Illuminate\Hashing\BcryptHasher;
use Illuminate\Support\Facades\Validator;
use Illuminate\Http\Request;
use App\Branches;
use Carbon\Carbon;


class BranchesController extends Controller
{


public function showAllBranches()
    {
        return response()->json(Branches::all());
    }

    public function showOneBranch($id)
    {
        return response()->json(Branches::find($id));
    }

    public function create(Request $request)
    {
        //creating a validator
        $validator = Validator::make($request->all(), [
            'branch_name' => 'required|unique:branches,title',
            'branch_code' => 'required|unique:branches',
        ]);

        //if validation fails
        if ($validator->fails()) {
            return array(
                'error' => true,
                'message' => $validator->errors()->all()
            );
        }

        //creating a new branch
        $branch = new Branches();
        //return $request->all();
        //adding values to the branch table
        // $request->request->add(['branch_name'=>$request->title]);
        // return $request->all();
        $branch->title = $request->branch_name;
        $branch->branch_code = $request->branch_code;
        $branch->fullname = $request->branch_full_name;
        $branch->status = $request->branch_status;
        //saving the branch to database
        $branch->save();

        //returning the added branch
        return array('error' => false, 'branch' => 'Branch added successfully');
    }

    public function update(Request $request)
    {
         $modification_date =  Carbon::now();
         $request->request->add(['title'=>$request->branch_name,'fullname'=>$request->branch_full_name,'status'=>$request->branch_status,'modification_date'=>$modification_date]);

         $branch = Branches::findOrFail($request->branch_id);
         $branch->update($request->all());
         return response()->json(['validate'=>200,'branch' => 'Branch updated successfully']);
    }

    public function delete(Request $request)
    {
        Branches::findOrFail($request->branch_id)->delete();
         return response()->json(['validate'=>200,'branch' => 'Branch deleted successfully']);
    }

}