<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| This file is where you may define all of the routes that are handled
| by your module. Just tell Laravel the URIs it should respond
| to using a Closure or controller method. Build something great!
|
*/
global $app;

/*These below routes are working for Charges master related */
$app->get('/billing/clinicpatients', ['middleware'=>'cors', 'uses' =>'BillingController@getClinicPatients']);
$app->get('/billing/medicinepatient', ['middleware'=>'cors', 'uses' => 'BillingController@getMedicineQueuePatients']);
$app->get('/billing/prescribe/{id}', ['middleware'=>'cors', 'uses' => 'BillingController@getPrescribe']);
$app->get('/billing/prescribemedicinesearch', ['middleware'=>'cors', 'uses' => 'BillingController@getPrescribeMedicineSearch']);
$app->post('/billing/mixmedicine', ['middleware'=>'cors', 'uses' => 'BillingController@getMixMedicine']);
$app->post('/billing/templatemedicine', ['middleware'=>'cors', 'uses' => 'BillingController@getTemplateMedicine']);
$app->post('/billing/formlist', ['middleware'=>'cors', 'uses' => 'BillingController@getFormListDropdown']);
$app->post('/billing/prescribe', ['middleware'=>'cors', 'uses' => 'BillingController@createPrescribe']);

/*These below routes are working for Charges master related */
$app->get('/billing/charges', ['middleware'=>'cors', 'uses' =>'ChargeController@getCharges']);
$app->get('/billing/charge/{id}', ['middleware'=>'cors', 'uses' => 'ChargeController@getCharges']);
$app->post('/billing/charge/{id}', ['middleware'=>'cors', 'uses' => 'ChargeController@deleteCharge']);
$app->post('/billing/charge', ['middleware'=>'cors', 'uses' => 'ChargeController@addCharge']);
/*This below route is used for getting charges related to doctor */
$app->get('/billing/drcharges', ['middleware'=>'cors', 'uses' => 'ChargeController@getDrCharge']);

/*This below route is used for getting all the discounted percentage with charges */
$app->get('/billing/discounts/{id}', ['middleware'=>'cors', 'uses' => 'DiscountController@getDiscounts']);
$app->get('/billing/discount_catgories', ['middleware'=>'cors', 'uses' => 'DiscountController@getDiscountCategories']);

$app->post('/billing/prescribemedicineedit/{id}', ['middleware'=>'cors', 'uses' => 'BillingController@createPrescribe']);
$app->get('/billing/prescribedetail/{appointment_id}/{billing_id}', ['middleware'=>'cors', 'uses' => 'BillingController@getPrescribeMedicineDetails']);
/*These below routes are working for On the fly discount apply related */
$app->post('/billing/discountonthefly', ['middleware'=>'cors', 'uses' => 'BillingController@disCountOnTheFly']);
/*These below routes are working for patient previous pending details related */
$app->get('/billing/pending/{patient_id}', ['middleware'=>'cors', 'uses' => 'BillingController@getPatientPreviousPendingAmount']);
/*These below routes are working for On consultancy waive related */
$app->post('/billing/consultancywaive', ['middleware'=>'cors', 'uses' => 'BillingController@consultancyWaive']);
/*These below routes are working for On pending waive related */
$app->post('/billing/pendingdetails', ['middleware'=>'cors', 'uses' => 'BillingController@pendingDetails']);
/*These below routes are working for On patient payment related */
$app->post('/billing/payment', ['middleware'=>'cors', 'uses' => 'BillingController@patientPayment']);

/*These below routes are working for On patient History related */
$app->get('/billing/history/{patient_id}', ['middleware'=>'cors', 'uses' => 'BillingController@patientHistory']);

/*These below routes are working for edit prescibe medicine related */
$app->get('/billing/importhistory/{appointment_id}/{billing_id}', ['middleware'=>'cors', 'uses' => 'BillingController@getPrescribeMedicine']);

/*These below routes are working for On import patient History related */
$app->post('/billing/importhistory', ['middleware'=>'cors', 'uses' => 'BillingController@importPatientHistory']);

/*This below route is used for getting the pharmacy instruction for perticular billing id  */
$app->get('/billing/pharmacy_ins/{id}', ['middleware'=>'cors', 'uses' => 'BillingController@pharmacyinstruction']);


/*This below API is used for getting the all changes related to particular visit*/
$app->get('/billing/visitcharges/{appointment_id}/{billing_id}', ['middleware'=>'cors', 'uses' => 'BillingController@getVisitCharges']);

//This below function is used for getting the total paid amount of visit, Rahul Khan 16 July 2019
$app->get('/billing/visitreceivedamount/{appointment_id}/{billing_id}', ['middleware'=>'cors', 'uses' => 'BillingController@getVisitReceivedAmount']);

/*This below route is used for getting the Payment mode*/
$app->get('/billing/paymentmode', ['middleware'=>'cors', 'uses' => 'PaymentModeController@getRecord']);

/*This below route is used for getting the visit discount applied*/
$app->get('/billing/visitdiscount/{appointment_id}/{billing_id}', ['middleware'=>'cors', 'uses' => 'BillingController@getVisitDiscount']);

/*These below routes are working for On the fly discount remove related */
$app->post('/billing/discoutremove', ['middleware'=>'cors', 'uses' => 'BillingController@discoutremove']);

/*These below routes are working for consultancy remove related */
$app->post('/billing/consultanyremove', ['middleware'=>'cors', 'uses' => 'BillingController@consultanyremove']);

/*These below routes are working for patient previous visit pending details related */
$app->get('/billing/visitpending/{patient_id}/{visit_id}', ['middleware'=>'cors', 'uses' => 'BillingController@getPatientVisitPreviousPendingAmount']);

