<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFormTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
       Schema::create('forms', function (Blueprint $table) {
			$table->increments('id');
			$table->string('name', 250);
			$table->string('form_code', 11);
			$table->text('description');
			$table->integer('ordering');
			$table->integer('created_by');
			$table->timestamp('creation_date_on');
			$table->integer('modified_by');
			$table->timestamp('modification_date');
			$table->enum('status', ['0', '1', '2'])->default(1);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('forms');
    }
}
