<?php

namespace App\Modules\Medicine\Http\Controllers;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Validation\ValidationException;
use Illuminate\Support\Facades\Validator;
//namespace App\Modules\Medicine\Http\Controllers;
use Illuminate\Validation\Rule;
use App\Modules\Medicine\Models\form; //import potency model 
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;



class FormController extends Controller
{
     public function create(Request $request){
        $id = 0;
         if($request->id > 0 ){
            $id = $request->id;
         }
		$validator = Validator::make($request->all(), [
            'name' => 'required',
            'form_code' => [
                'required',
                'min:1',
                'max:4',
                Rule::unique('forms')->where(function ($query) use($id) {
                    $query->where('status','!=',0)->where('id','!=',$id);
                })
            ],
            'status' => 'required'
            
		]);

        //if validation fails
        if ($validator->fails()) {
            return array(
                'error' => true,
                'message' => $validator->errors()
            );
        }
        
        //creating a new PriceGroup model object
        $form = new form();
        $form->name = $request->name;
        $form->form_code = $request->form_code;
        $form->description = $request->description;
		$form->status = $request->status;

        //this below condition block is used for update records in datbase 
        if((isset($request->id)) && ($request->id> 0)) {
            //return $request->id;
            $item = $form->findOrFail($request->id)->where('status','!=',0);
            if($item){
				$modification_date =  Carbon::now('Asia/Kolkata');
                $form->where('id', $request->id)->update(['name'=>$form->name,'form_code'=>$form->form_code,'description'=>$form->description,'status'=>$form->status,'modification_date'=>$modification_date]);
               // return $item;
                return array('error' => false, 'form' => 'Price Group Updated successfully');
            }
        }

        //saving the branch to database
        $form->save();
        //returning the added branch
        return array('error' => false, 'form' => 'Price Group added successfully');
        }
    public function getRecords($id='',Request $request){
        $form = new form();
        /*This below condition is used for distinguish edit form request, In this case we get details of perticular price group */
        if($id > 0){
            return $form->find($id);
        }
        /*This below condition is used for distinguish search form request, */
        if($request->has('search')){
            return $form->where('name', 'LIKE', '%' . $request->search . '%')->where('status','!=',0)->paginate(10);
        }
        /*This below condition is used for distinguish getting all data list form request, */
        if($request->has('datalist')){
            return $form->where('status','!=',0)->get();
        }
        //   return array('error' => false, 'data' => 'Price Group Updated successfully');
        return $form->where('status','!=',0)->paginate(10);
    } 

    public function deleteRecords($id=''){
        // return  $id;
      $form = new form();
      $form->where('id', $id)->update(['status'=>0]);
      return array('error' => false, 'form' => 'Price Group Deleted successfully');
      //;
  }
}
