<?php
namespace App\Modules\Medicine\Http\Controllers;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Illuminate\Validation\ValidationException;
use Illuminate\Support\Facades\Validator;
use App\Modules\Medicine\Models\Medicine;
use App\Modules\Medicine\Models\MedicineGroupPotency;
use App\Modules\Medicine\Models\MedicineGroupPotencyForm;
use App\Modules\Medicine\Models\Medicinegroup;
use App\Modules\Medicine\Models\pricegroup;
use App\Modules\Medicine\Models\potency; //import potency model 
use App\Modules\Medicine\Models\potencygroup; //import potencygroup model 
use App\Modules\Medicine\Models\pricegrouprate;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
class MedicineSingleController extends Controller
{
    public function create($id='',Request $request){

		$validator = Validator::make($request->all(), [
			'name' => 'required',
			//'pricegroup' => 'required',
			'status' => 'required'
		]);

		//if validation fails
		if ($validator->fails()) {
			return array(
				'error' => true,
				'message' => $validator->errors()
			);
		}
	try{
		$medicine = new Medicine();
		$potencygroup = new potencygroup();
		
		$medicine->name = $request->name;
		$medicine->status = $request->status;
		
		//this below conditional block is used for update records in database 
		$modification_date =  Carbon::now('Asia/Kolkata');
		   if((isset($request->id)) && ($request->id > 0)) {
					try{

						//for pricegroup data
						if($request->id> 0 && $request->pricegroup> 0){

							Medicinegroup::where('medicine_id', $request->id)->delete();
		
							foreach($request->pricegroup as $group){

								Medicinegroup::create(['group_id' => $group, 'medicine_id'=>$request->id]);
							}
		
						}
						//for Medicine data
						$item = $medicine->findOrFail($request->id);
							if($item){
								$medicine->where('id', $request->id)->update(['name'=>$medicine->name, 'status'=>$medicine->status, 'modification_date'=>$modification_date]);
								$res['error'] = false;
								$res['actions'] = 'update';
								return response($res, 200);
							}
						}catch(\Illuminate\Database\QueryException $ex){

							$res['status'] = false;
							$res['message'] = $ex->getMessage();
							return response($res, 500);
			
						} 	
					}else{
							 $medicine->save();

								 // last inserted id of medicine table row
								 
							 $medicine_id =  $medicine->id;

							if(!empty($request->potencygroup) && count($request->potencygroup)>0)
								{
									
										foreach($request->potencygroup as $key=>$group_list){

														foreach($group_list as $groupkey=>$group_data){

															if(is_array($group_data)){

																foreach($group_data as $gkey=>$data_list){
																	//for medicine group record insert 
																	//print_r($data_list);
																	$medicine_group = new Medicinegroup();

																	$medicine_group->create(['group_id' => $data_list, 'medicine_id'=>$medicine_id]);
																	
																	// last inserted id of medicinegroups table row

																	$medicinegroup_id = $medicine_group->id;

																	if(is_array($data_list)){

																		foreach($data_list as $pkey=>$potency_data){

																			//print_r($potency);
																			//for medicine group potency record insert 
																			$medicine_potency = new MedicineGroupPotency();

																			$medicine_potency->create(['potency_id' => $potency_data, 'medicinegroup_id'=>$medicinegroup_id]);

																			// last inserted id of medicinegrouppotency table row

																				$medicinegrouppotency_id = $medicine_potency->id;

																					if(is_array($potency_data)){

																								foreach($potency_data as $fkey=>$form_data){

																									//print_r($form_data);

																									MedicineGroupPotencyForm::create(['form_id' => $form_data, 'medicinegrouppotency_id'=>$medicinegrouppotency_id]);

																								}
																					}

																		}

																	}


																
																}


															}

														//print_r($group_list);
	
														}
									   }


								$res['error'] = false;
							  $res['actions'] = 'add';
							   return response($res, 200);

								}else{

									$res['error'] = 'nogrouppotency';
									return response($res, 200);
								}
					}
			
		}catch(\Illuminate\Database\QueryException $ex){

			$res['status'] = false;
			$res['message'] = $ex->getMessage();
			return response($res, 500);

		 } 	
	}
    public function getRecords($id='',Request $request){
        /*This below condition is used for distinguish edit form request, In this case we get details of perticular medicine */
        if($id > 0){
			
			return Medicine::find($id);
        }
        /*This below condition is used for distinguish search form request, */
        if($request->has('search')){
            return Medicine::where('name', 'LIKE', '%' . $request->search . '%')->where('status','!=',0)->paginate(10);
        }
        /*This below condition is used for distinguish getting all data list form request, */
        if($request->has('datalist')){
            return Medicine::where('status','!=',0)->get();
        }
       
        return Medicine::where('status','!=',0)->paginate(10);
    }

    public function deleteRecords($id=''){
	  Medicine::where('id', $id)->update(['status'=>0]);
		$res['error'] = false;
		$res['actions'] = 'add';
		return response($res, 200);
  }

  public function getPotencyAndFormByPriceGroup(Request $request){

    $main_array = array();
	$pricegroup_array = array();
	$ptency_array = array();
	$form_array = array();

    if(!empty($request->pricegroup) && count($request->pricegroup) > 0){
		
		$pricegroup_name_list = pricegroup::select('id','name')->whereIn('id', $request->pricegroup)->get();

        if(!empty($pricegroup_name_list) && count($pricegroup_name_list)>0){
			
        	foreach($pricegroup_name_list as $price_list){
				$pricegroup_array['price_group'] = $price_list;

				 $form_name_list = pricegrouprate::select('form_name','id')->where('pricegroup_id', $price_list->id)->distinct()->get();

					$pricegroup_array['form'] = $form_name_list;

                  $pricegroup_list = potencygroup::select('potency_id')->where('pricegroup_id', $price_list->id)->distinct()->get();
				
                 foreach($pricegroup_list as $pp){

					 $ptency_name_list = potency::select('name', 'id')->where('id', $pp->potency_id)->distinct()->get();

					 array_push($ptency_array, $ptency_name_list);
					
					// foreach($ptency_name_list as $potency_name){

						
					// 	//array_push($ptency_array, $potency_name);

					// 	 $pricegroup_array['potency'] = $potency_name;
	
					//  }
					
				}
				$pricegroup_array['potency'] = $ptency_array;
				
				$ptency_array = array();

				array_push($main_array, $pricegroup_array);

				}	
        }

    }
  
  return $main_array;
}

public function getPriceGroupByMedicineId($id){

		$group_array = array();
	    $medicine_group_list = Medicine::find($id)->getMedicineMultipleGroup;
		foreach($medicine_group_list as $group){
			array_push($group_array, $group->group_id);
		}
		return $group_array;
	}
}
