<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClCancelledAppointmentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cl_cancelled_appointment', function (Blueprint $table) {
            $table->increments('id');
            $table->string('patient_registration_number', 10);
            $table->char('doctor_id', 36);
            $table->integer('branch_id');
            $table->text('notes');
            $table->dateTime('appointment_dateTime');
            $table->char('created_by', 36);
            $table->dateTime('creation_date');
            $table->char('modified_by', 36);
            $table->dateTime('modification_date');
            $table->index(['patient_registration_number','doctor_id'], 'patient_id');
            $table->index(['doctor_id'], 'doctor_id');
            $table->index(['patient_registration_number'], 'patient_id_2');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cl_cancelled_appointment');
    }
}
