<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClPatientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cl_patients', function (Blueprint $table) {
            $table->char('id', 36)->uniqid();
            $table->string('Prefix', 10);
            $table->integer('registration_number');
            $table->string('Suffix', 10);
            $table->string('title', 10);
            $table->binary('first_name', 500);
            $table->binary('middle_name', 500);
            $table->binary('last_name', 500);
            $table->char('gender', 1);
            $table->binary('phone_res', 50);
            $table->binary('mobile_res', 50);
            $table->binary('phone_office', 50);
            $table->binary('mobile_office', 50);
            $table->binary('address_per', 600);
            $table->binary('address_res', 600);
            $table->binary('full_address_per', 600);
            $table->binary('full_address_res', 600);
            $table->integer('city_id_per');
            $table->integer('state_id_per');
            $table->integer('country_id_per');
            $table->integer('city_id_res');
            $table->integer('state_id_res');
            $table->integer('country_id_res');
            $table->string('pincode_per', 10);
            $table->string('pincode_res', 10);
            $table->enum('is_registered', ['0','1'])->default('1');
            $table->dateTime('OldRegistrationDate');
            $table->string('OldRegNoPrefix', 5);
            $table->string('OldRegNosuffix', 5);
            $table->string('OldRegistrationNo', 20);
            $table->enum('mode', ['email','phone','clinic']);
            $table->binary('note', 500);
            $table->string('priority', 50);
            $table->string('category', 50);
            $table->dateTime('creation_date');
            $table->string('created_by', 10);
            $table->dateTime('modification_date');
            $table->string('modified_by', 10);
            $table->enum('status', ['0','1'])->default('1');
            $table->string('title_prefix', 10);
            $table->date('date_of_birth')->default(NULL)->nullable();
            $table->integer('age_years')->default(NULL)->nullable();
            $table->integer('age_months')->default(NULL)->nullable();
            $table->integer('age_days')->default(NULL)->nullable();
            $table->integer('verified')->default('0');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cl_patients');
    }
}
