<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClUserBranchMapTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cl_user_branch_map', function (Blueprint $table) {
            $table->increments('id');
            $table->char('user_id', 36);
            $table->integer('branch_id');
            $table->integer('kiosk');
            $table->integer('maximum_token_number')->default('50')->nullable();
            $table->integer('created_by');
            $table->timestamp('creation_date');
            $table->integer('modified_by');
            $table->timestamp('modification_date');
            $table->index(['user_id', 'branch_id'], 'user_id');
            $table->index(['branch_id'], 'branch_id');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cl_user_branch_map');
    }
}
